# Uses of Class
org.apache.sling.resourceresolver.impl.providers.ResourceProviderInfo

Packages that use ResourceProviderInfo
Package
Description
org.apache.sling.resourceresolver.impl.providers

## Uses of ResourceProviderInfo in org.apache.sling.resourceresolver.impl.providers

Methods in org.apache.sling.resourceresolver.impl.providers that return ResourceProviderInfo
Modifier and Type
Method
Description
`ResourceProviderInfo`
ResourceProviderHandler.`getInfo()`
Get the resource provider info
Methods in org.apache.sling.resourceresolver.impl.providers with parameters of type ResourceProviderInfo
Modifier and Type
Method
Description
`int`
ResourceProviderInfo.`compareTo(ResourceProviderInfo o)`
Constructors in org.apache.sling.resourceresolver.impl.providers with parameters of type ResourceProviderInfo
Modifier
Constructor
Description
``
`ResourceProviderHandler(ResourceProviderInfo info, org.apache.sling.spi.resource.provider.ResourceProvider<Object> provider)`
Create a new handler